way-secure(1)

# NAME

way-secure - create wayland security contexts

# SYNOPSIS

*way-secure* [OPTIONS] -s|--socket-fd _SOCKET_FD_

# OPTIONS

*-s, --socket-fd* _SOCKET_FD_
	File descriptor for a socket where the compositor will listen for
	connections.

	The socket must have been bound and prepared to accept connections by
	calling listen(2).

*-e --sandbox-engine* _SANDBOX_ENGINE_
	Reverse FQDN of the sandbox engine responsible for this security
	context. E.g.: _com.example.firebox_.

*-a --app-id* _APP_ID_
	Application identifier for the security context.

	The exact semantics of this value are dependant on the sandbox engine.

*-i, --instance-id* _INSTANCE_ID_
	Instance identifier for the security context.

	The exact semantics of this value are dependant on the sandbox engine.

*-c, --close-fd* _CLOSE_FD_
	Stop accepting new connections when this file descriptor is closed.

	The security context will stop accepting new connections when this file
	descriptor is closed.

	If no file descriptor is provided, *way-secure* will remain in
	background, and the secure context will continue accepting connections
	until the *way-secure* process is killed.

*-r, --ready-fd* _READY_FD_
	Send readiness notifications on _READY_FD_.

	The parent may provide an
	open file descriptor _READY_FD_. Once the compositor is ready to accept
	connections from _SOCKET_FD_, a single newline will be written to
	_READY_FD_, and the file descriptor will then be closed.

*-h --help*
	Print usage information and exit.

# DESCRIPTION

Create a new Wayland security context, listening on the provided _SOCKET_FD_.
When clients connects to this socket, the compositor shall restrict access to
privileged protocols.

Note that a security context is required but insufficient to properly sandbox an
application.

The exact behaviour of this tool after creating the socket is dependant on the
_CLOSE_FD_ argument.


# ENVIRONMENT

_WAYLAND_DISPLAY_
	Connect to the specified wayland socket.

# DEVELOPMENT

For issues and general development inquiries, see the project home currently
hosted at SourceHut:

	https://git.sr.ht/~whynothugo/way-secure

# AUTHORS

Developed by Hugo O. Barrera <hugo@whynothugo.nl>.

way-secure is an open source project licensed under the ISC licence and developed
for anyone to use freely. If you would like to sponsor this project, see:

	https://whynothugo.nl/sponsor
